
QGIS Application - Bug report #2296

PostGIS new connection SSLmode options in wrong order

2009-12-18 07:27 PM - Steven Mizuno

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12356

Description

The allow and require options are reversed. Allow actually is require and require is allow when sent to the PG database.

In qgsnewconnection.cpp in the constructor (about line 37) where the combobox is populated, the items must be inserted in the desired

order (perhaps addItem() would be better), as the index only controls where in the list an item is inserted, not its absolute position.

The desired order as listed in the enum for SSLmode is: prefer, disable, allow, require.

Associated revisions

Revision bfcfa8e8 - 2009-12-19 05:27 PM - Jürgen Fischer

fix #2296

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@12520 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision ddb319b8 - 2009-12-19 05:27 PM - Jürgen Fischer

fix #2296

git-svn-id: http://svn.osgeo.org/qgis/trunk@12520 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-12-19 08:27 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:ddb319b8 (SVN r12521)
